Class | Net::HTTPRequest
In: | net/http.rb
Parent: | HTTPGenericRequest

HTTP request class. This class wraps request header and entity path. You must use its subclass, Net::HTTP::Get, Post, Head.

### Methods

new

### Public Class methods

new(path, initheader = nil)

Creates HTTP request object.

[Source]

    # File net/http.rb, line 1555
        def initialize(path, initheader = nil)
          super self.class::METHOD,
                self.class::REQUEST_HAS_BODY,
                self.class::RESPONSE_HAS_BODY,
                path, initheader
        end

[Validate]